Subject: Ticket Assigned - Items not delivered, worst experience
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sat, 16 Jul 2022 11:41:43 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Items not delivered, worst experience  
Dear team,

This was the worst experience with the online shopping. Since 25 June I did not receive baby crib and mattress. I have complained two times over whatsapp and nothing was resolved, just promises. Please, find attached the order number and refund my money. I will never order here again.

Nadya

Sent from Mail.ru app for iOS

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4615948